Subject: Re: [NGC4LIB] What do I need to know?!

From: "B.G. Sloan" <[email-masked]>
Date: Fri, 16 Apr 2010 14:25:36 -0700

Or, you could do like I did, and accept a job where for some reason your employers thought you had more technical skills than you actually did. Sometimes a baptism-by-fire can work wonders. :-)
 
At the time I accepted my first "real" library automation job little did I realize that I'd eventually be writing PL/I code, compiling Assembler programs, writing programs in a couple of macro languages, and occasionally troubleshooting problems with telecommunications software. All this without having had even one programming class.
 
After a couple of years I worked my way into the management side of things. Maybe they saw that I had stellar management qualities. Or maybe they finally got tired of my idiosyncratic programming and decided to kick me upstairs, where I'd be safely out of the way. :-)
 
Bernie Sloan

--- On Fri, 4/16/10, MJ Suhonos <[email-masked]> wrote:

From: MJ Suhonos <[email-masked]>
Subject: Re: [NGC4LIB] What do I need to know?!
To: [email-masked]
Date: Friday, April 16, 2010, 11:16 AM

I'd suggest trying to get a grasp on XML as a starting point.  Some will undoubtedly say that's not far enough, or that it's irrelevant next to the larger concepts like linked data, but really, XML represents the kind of web-world thinking that's going to power most of the implementations we see in the near future (as well as today, obviously).

If you're a "traditional" cataloguer and familiar with Library of Congress stuff, then I might suggest starting there (http://www.loc.gov/standards/) — get a sense of what MARCXML is, and why it's not very good, despite being XML.  Have a look at MODS and get an understanding of what a record in MODS looks like compared to what it would in MARC or MARCXML.  Then, have a look at EAD and/or the Dublin Core Metadata Element Set (search on DCMES) — try to understand how non-librarians would use these schemas to describe a (maybe digital or archival) resource.

That's just a starting point, but understanding the above should give you a better foundation to move on to other concepts like FRBR, RDA, RDF, Linked Data, etc.

MJ

On 2010-04-16, at 11:02 AM, Simpson, Sarah wrote:

> I have to admit, I always hesitate to post a question of this sort to a list, for a variety of reasons.  However, as I try to figure out how I'm going to contribute to the cataloging world, honestly, you just seem like the best people to ask.
> 
> I'm a very good cataloger (and modest, too, as you can tell).  However, I am becoming very aware that in order to remain a good cataloger and make any forward progress, I am going to need to know other things than cataloging.  Specifically, technology.  I will need to learn more about the workings of our catalogs, what we know and need to tell our customers about the digital resources we have, what is necessary to share our data with the Web, and so on.
> 
> So, where do I start?  Are there particular things to learn about technology that would be the most useful, particular classes, particular topics?  What software do I need to know?  I want to learn what I need to know, but just have no idea where to start!  I have 3 universities and a community college in my immediate area, but do I need a computer science degree, or can I be more targeted than that?
> 
> I want to know why RDA is a good or bad idea, I want to be able to tell my library how big of a project it will be to implement, and to tell the truth, I want the background to be part of the discussion as RDA continues to be modified and improved.  ANYTHING you can tell me about how to learn what I need to know and what it is I need to know will be very, very much appreciated.
> 
> Sarah Simpson
> Tulsa City-County Library